## WDS Swi Create Profile Indexed request WDS Swi Create Profile Indexed request |

## Functions

QmiMessageWdsSwiCreateProfileIndexedInput * | qmi_message_wds_swi_create_profile_indexed_input_new ()
QmiMessageWdsSwiCreateProfileIndexedInput * | qmi_message_wds_swi_create_profile_indexed_input_ref ()
void | qmi_message_wds_swi_create_profile_indexed_input_unref ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_roaming_disallowed_flag ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_roaming_disallowed_flag ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_apn_disabled_flag ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_apn_disabled_flag ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_pdp_context_number ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_pdp_context_number ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_ipv4_address_preference ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_ipv4_address_preference ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_authentication ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_authentication ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_password ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_password ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_username ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_username ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_secondary_ipv4_dns_address ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_secondary_ipv4_dns_address ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_primary_ipv4_dns_address ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_primary_ipv4_dns_address ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_apn_name ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_apn_name ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_pdp_type ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_pdp_type ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_profile_name ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_profile_name ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_get_profile_identifier ()
gboolean | qmi_message_wds_swi_create_profile_indexed_input_set_profile_identifier ()
QmiMessageWdsSwiCreateProfileIndexedOutput * | qmi_message_wds_swi_create_profile_indexed_output_ref ()
void | qmi_message_wds_swi_create_profile_indexed_output_unref ()
gboolean | qmi_message_wds_swi_create_profile_indexed_output_get_result ()
gboolean | qmi_message_wds_swi_create_profile_indexed_output_get_profile_identifier ()
void | qmi_client_wds_swi_create_profile_indexed ()
QmiMessageWdsSwiCreateProfileIndexedOutput * | qmi_client_wds_swi_create_profile_indexed_finish ()

## Types and Values

| QmiMessageWdsSwiCreateProfileIndexedInput
| QmiMessageWdsSwiCreateProfileIndexedOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsSwiCreateProfileIndexedInput
        ╰── QmiMessageWdsSwiCreateProfileIndexedOutput

## Description

## Functions

### qmi_message_wds_swi_create_profile_indexed_input_new ()

    QmiMessageWdsSwiCreateProfileIndexedInput *
    qmi_message_wds_swi_create_profile_indexed_input_new
                                   (void);

Allocates a new QmiMessageWdsSwiCreateProfileIndexedInput.

#### Returns

the newly created QmiMessageWdsSwiCreateProfileIndexedInput. The returned value should be freed with `qmi_message_wds_swi_create_profile_indexed_input_unref()`.

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_ref ()

    QmiMessageWdsSwiCreateProfileIndexedInput *
    qmi_message_wds_swi_create_profile_indexed_input_ref
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_unref ()

    void
    qmi_message_wds_swi_create_profile_indexed_input_unref
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_roaming_disallowed_flag ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_roaming_disallowed_flag
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    gboolean *value_roaming_disallowed_flag,
                                    GError **error);

Get the 'Roaming Disallowed Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_roaming_disallowed_flag | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_roaming_disallowed_flag ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_roaming_disallowed_flag
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    gboolean value_roaming_disallowed_flag,
                                    GError **error);

Set the 'Roaming Disallowed Flag' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_roaming_disallowed_flag | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_apn_disabled_flag ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_apn_disabled_flag
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    gboolean *value_apn_disabled_flag,
                                    GError **error);

Get the 'APN Disabled Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_apn_disabled_flag | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_apn_disabled_flag ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_apn_disabled_flag
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    gboolean value_apn_disabled_flag,
                                    GError **error);

Set the 'APN Disabled Flag' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_apn_disabled_flag | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_pdp_context_number ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_pdp_context_number
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    guint8 *value_pdp_context_number,
                                    GError **error);

Get the 'PDP Context Number' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_pdp_context_number | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_pdp_context_number ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_pdp_context_number
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    guint8 value_pdp_context_number,
                                    GError **error);

Set the 'PDP Context Number' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_pdp_context_number | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_ipv4_address_preference ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_ipv4_address_preference
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    guint32 *value_ipv4_address_preference,
                                    GError **error);

Get the 'IPv4 Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_ipv4_address_preference | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_ipv4_address_preference ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_ipv4_address_preference
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    guint32 value_ipv4_address_preference,
                                    GError **error);

Set the 'IPv4 Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_ipv4_address_preference | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_authentication ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_authentication
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    QmiWdsAuthentication *value_authentication,
                                    GError **error);

Get the 'Authentication' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_authentication | a placeholder for the output QmiWdsAuthentication, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_authentication ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_authentication
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    QmiWdsAuthentication value_authentication,
                                    GError **error);

Set the 'Authentication' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_authentication | a QmiWdsAuthentication. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_password ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_password
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    const gchar **value_password,
                                    GError **error);

Get the 'Password' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_password | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_password ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_password
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    const gchar *value_password,
                                    GError **error);

Set the 'Password' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_password | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_username ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_username
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    const gchar **value_username,
                                    GError **error);

Get the 'Username' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_username | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_username ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_username
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    const gchar *value_username,
                                    GError **error);

Set the 'Username' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_username | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_secondary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_secondary_ipv4_dns_address
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    guint32 *value_secondary_ipv4_dns_address,
                                    GError **error);

Get the 'Secondary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_secondary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_secondary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_secondary_ipv4_dns_address
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    guint32 value_secondary_ipv4_dns_address,
                                    GError **error);

Set the 'Secondary IPv4 DNS Address' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_secondary_ipv4_dns_address | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_primary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_primary_ipv4_dns_address
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    guint32 *value_primary_ipv4_dns_address,
                                    GError **error);

Get the 'Primary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_primary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_primary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_primary_ipv4_dns_address
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    guint32 value_primary_ipv4_dns_address,
                                    GError **error);

Set the 'Primary IPv4 DNS Address' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_primary_ipv4_dns_address | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_apn_name ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_apn_name
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    const gchar **value_apn_name,
                                    GError **error);

Get the 'APN Name' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_apn_name | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_apn_name ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_apn_name
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    const gchar *value_apn_name,
                                    GError **error);

Set the 'APN Name' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_apn_name | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_pdp_type ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_pdp_type
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    QmiWdsPdpType *value_pdp_type,
                                    GError **error);

Get the 'PDP Type' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_pdp_type | a placeholder for the output QmiWdsPdpType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_pdp_type ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_pdp_type
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    QmiWdsPdpType value_pdp_type,
                                    GError **error);

Set the 'PDP Type' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_pdp_type | a QmiWdsPdpType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_profile_name ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_profile_name
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    const gchar **value_profile_name,
                                    GError **error);

Get the 'Profile Name' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_profile_name | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_profile_name ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_profile_name
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    const gchar *value_profile_name,
                                    GError **error);

Set the 'Profile Name' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_profile_name | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_get_profile_identifier ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_get_profile_identifier
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    QmiWdsProfileType *value_profile_identifier_profile_type,
                                    guint8 *value_profile_identifier_profile_index,
                                    GError **error);

Get the 'Profile Identifier' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_profile_identifier_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. | [out][optional]
value_profile_identifier_profile_index | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_input_set_profile_identifier ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_input_set_profile_identifier
                                   (QmiMessageWdsSwiCreateProfileIndexedInput *self,
                                    QmiWdsProfileType value_profile_identifier_profile_type,
                                    guint8 value_profile_identifier_profile_index,
                                    GError **error);

Set the 'Profile Identifier' field in the message.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedInput. |
value_profile_identifier_profile_type | a QmiWdsProfileType. |
value_profile_identifier_profile_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_output_ref ()

    QmiMessageWdsSwiCreateProfileIndexedOutput *
    qmi_message_wds_swi_create_profile_indexed_output_ref
                                   (QmiMessageWdsSwiCreateProfileIndexedOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_output_unref ()

    void
    qmi_message_wds_swi_create_profile_indexed_output_unref
                                   (QmiMessageWdsSwiCreateProfileIndexedOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedOutput. |

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_output_get_result ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_output_get_result
                                   (QmiMessageWdsSwiCreateProfileIndexedOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.22

### qmi_message_wds_swi_create_profile_indexed_output_get_profile_identifier ()

    gboolean
    qmi_message_wds_swi_create_profile_indexed_output_get_profile_identifier
                                   (QmiMessageWdsSwiCreateProfileIndexedOutput *self,
                                    QmiWdsProfileType *value_profile_identifier_profile_type,
                                    guint8 *value_profile_identifier_profile_index,
                                    GError **error);

Get the 'Profile Identifier' field from `self` .

#### Parameters

self | a QmiMessageWdsSwiCreateProfileIndexedOutput. |
value_profile_identifier_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. | [out][optional]
value_profile_identifier_profile_index | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_client_wds_swi_create_profile_indexed ()

    void
    qmi_client_wds_swi_create_profile_indexed
                                   (QmiClientWds *self,
                                    QmiMessageWdsSwiCreateProfileIndexedInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Swi Create Profile Indexed request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_swi_create_profile_indexed_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsSwiCreateProfileIndexedInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_wds_swi_create_profile_indexed_finish ()

    QmiMessageWdsSwiCreateProfileIndexedOutput *
    qmi_client_wds_swi_create_profile_indexed_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_swi_create_profile_indexed()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_swi_create_profile_indexed()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsSwiCreateProfileIndexedOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_swi_create_profile_indexed_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageWdsSwiCreateProfileIndexedInput

    typedef struct _QmiMessageWdsSwiCreateProfileIndexedInput QmiMessageWdsSwiCreateProfileIndexedInput;

The QmiMessageWdsSwiCreateProfileIndexedInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageWdsSwiCreateProfileIndexedOutput

    typedef struct _QmiMessageWdsSwiCreateProfileIndexedOutput QmiMessageWdsSwiCreateProfileIndexedOutput;

The QmiMessageWdsSwiCreateProfileIndexedOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22